@echo off
set GOOS=linux
set GOARCH=amd64

echo VaultKeeper 리눅스 빌드를 시작합니다...

go build -o vaultkeeper -ldflags "-s -w" main.go

if %ERRORLEVEL% equ 0 (
    echo.
    echo -----------------------------------
    echo 빌드 성공: vaultkeeper 파일이 생성되었습니다.
    echo -----------------------------------
) else (
    echo.
    echo 빌드에 실패했습니다. 오류를 확인하세요.
)

pause